/*
 *	WEExtras.h
 *
 *	Routines for installing and removing various "extras"
 *
 */

#ifndef _WASTE_
#include "WASTE.h"
#endif

enum
{
	kInvisiblesColorRedGreenTag 	=	'icRG' ,
	kInvisiblesColorBlueTag			=	'icB_'
} ;

#ifdef __cplusplus
extern "C" {
#endif

pascal OSErr WEInstallCrOnlyHook( WEReference we );
pascal OSErr WERemoveCrOnlyHook( WEReference we );
pascal Boolean WEIsCrOnly( WEReference we );

pascal OSErr WEInstallShowInvisiblesHook(WEReference we);
pascal OSErr WERemoveShowInvisiblesHook( WEReference we );
pascal Boolean WEIsShowInvisibles( WEReference we );

#ifdef __cplusplus
}
#endif
