/*
 *	WESharedLibrary.c
 *
 *	WASTE PROJECT
 *  CFM Shared Library initialization & Termination code
 *
 *  Copyright (c) 1993-1997 Marco Piovanelli
 *	All Rights Reserved
 *
 *  C port by Dan Crevier
 *
 */


#include "WASTEIntf.h"

#if !WASTE_SHARED_LIBRARY
#error "This code is for CFM shared libraries only"
#endif

//	globals

QDGlobals qd ;		//	define the Quickdraw globals here!

pascal OSErr _WECFMInitialize ( const CFragInitBlock * theInitBlock )
{
#pragma unused ( theInitBlock )

	//	initialize the Quickdraw globals
	InitGraf ( & qd . thePort ) ;

	//	make the Code Fragment Manager happy
	return noErr ;
}

pascal void _WECFMTerminate ( void )
{
}
